#!/bin/bash

#mambo_file='speso_positions_20150415.txt'
mambo_file=$1

echo analysing mambo_file ${mambo_file}

touch /sps/sera/delerue/smith-purcell/SPESO/data/tmp.delete

prevFile='/sps/sera/delerue/smith-purcell/SPESO/data/tmp.delete'


nFields=`head -1 /sps/sera/delerue/smith-purcell/SPESO/data/${mambo_file} | wc -w`

if [[ ${nFields} -eq  38 ]] ; then 
    cat /sps/sera/delerue/smith-purcell/SPESO/data/${mambo_file} | awk -v iline==0 'iline++(iline==1){sep=" \t"; last =""} (iline>1){sep=" "; last = " \t" $39}{ print $1 sep $2 " \t" $3  " \t" $4 " \t" $5 " \t" $7 " \t" $9 " \t" $11 " \t" $13 " \t" $15 " \t" $17 " \t" $19 " \t" $21 " \t" $23 " \t" $25 " \t" $27 " \t" $29 " \t" $31 " \t" $33 " \t" $35 " \t" $37 last }' > /sps/sera/delerue/smith-purcell/SPESO/data/${mambo_file}_reduced
    mambo_file=${mambo_file}_reduced
    nFields=`head -1 /sps/sera/delerue/smith-purcell/SPESO/data/${mambo_file} | wc -w`
    echo "Fields reduced"
fi

if [[ ${nFields} -ne  21 ]] ; then 
	echo "Incorrect number of fields in " ${mambo_file}
	echo " Number of fields found: " ${nFields}
	exit -1;
fi

head -1 /sps/sera/delerue/smith-purcell/SPESO/data/${mambo_file} > /sps/sera/delerue/smith-purcell/SPESO/data/speso_positions.header


for date in `cat /sps/sera/delerue/smith-purcell/SPESO/data/${mambo_file} | grep 2015 | awk '{print $1}' | uniq | sort | uniq | tail -n +2 | head -n -1 `; do
   echo $date
   dateStr=`echo $date | sed -e 's\/\ \g' | awk '{ print $1 $2 $3}'`
#   echo $dateStr
#   mkdir /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}/
   cat /sps/sera/delerue/smith-purcell/SPESO/data/${mambo_file} | awk -v date=$date '($1==date){print $0}' > /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}_tmp.txt
   cat /sps/sera/delerue/smith-purcell/SPESO/data/speso_positions.header /sps/sera/delerue/smith-purcell/SPESO/data/tmp.delete /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}_tmp.txt > /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}.txt
ln -f /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}.txt /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}.txt_beam_info
 #echo prevFile ${prevFile}
   head -201 /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}_tmp.txt | tail -200 >> ${prevFile}
   tail -200 /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}.txt > /sps/sera/delerue/smith-purcell/SPESO/data/tmp.delete
   prevFile="/sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}.txt"
   rm -f /sps/sera/delerue/smith-purcell/SPESO/data/${dateStr}_scope/beam_info_${dateStr}_tmp.txt
done

rm -f /sps/sera/delerue/smith-purcell/SPESO/data/tmp.delete