function channelInfo=analyse_channel(fnamedir,fnamebase,channelLoop, channelParameters,plotShot,plots_dir)
global basedir;
global imageSizes;
global lsColorOption;

define_dirs_analysis();

channelInfo=[];
channelContent='';
channelFileNameBase=[ basedir fnamedir fnamebase '_ch' num2str(channelLoop)  ];
imgName=[ plots_dir fnamebase '_ch' num2str(channelLoop)  ];
imgTitle=[ strrep(fnamebase,'_',' ') ' - ch' num2str(channelLoop) ];
if ((exist([ channelFileNameBase  '.csv.gz' ],'file'))||(exist([ channelFileNameBase  '.csv' ],'file')))
    if (exist([ channelFileNameBase  '.csv.gz' ],'file'))
      disp(['Reading ' channelFileNameBase  '.csv.gz' ]);
      cmdGzip = ['gzip -c -d ' channelFileNameBase  '.csv.gz' ];
      [~, channelContent] = system(cmdGzip);
    elseif exist([ channelFileNameBase  '.csv' ],'file')
      disp(['Reading ' channelFileNameBase  '.csv' ]);
        fid=fopen([ channelFileNameBase  '.csv' ]);
        channelContent=fread(fid);
        fclose(fid);
    end %read file
    beginTxt = strfind(char(channelContent), '[V]')+5;
    data = char(channelContent(beginTxt:end)');
    data2 = strrep(data', ',', ' ');
    data_num=str2num(data2);
    if (length(channelContent) < 5000)
        warning_sp(['Channel ' num2str(channelLoop) ' has a short/empty content in ' channelFileNameBase ])
    return
    end % empty channel
    elseif exist([ basedir fnamedir fnamebase  '_image.png' ],'file')
          fname=[ basedir fnamedir fnamebase  '_image.png' ]
	  disp(['Reading ' fname  ' - ch ' num2str(channelLoop) ]);
fileinfo=dir(fname);
if(fileinfo.bytes==0)  
  warning_sp( [ 'File ' fname ' is empty!']);
data_num=[];
else
      try
      imgdata=imread([ basedir fnamedir fnamebase  '_image.png' ]);
      catch
      [status,res]=system( [ ' ls -lart '  basedir fnamedir  fnamebase  '_image.png ' ] )
      warning_sp([ 'Unable to read '  basedir fnamedir  fnamebase  '_image.png ; ls result: ' res  ]);
      imgdata=[]
      end
	if (~(isempty(imgdata)))
      chdata=imgdata(:,:,2)-imgdata(:,:,1);
      nHorizontalPoints=950;
      croppedchdata=chdata(52:652,41:41-1+nHorizontalPoints);
      [val,pos]=max(croppedchdata);
      idxnonzero=find(pos>10);
      data_num=zeros(nHorizontalPoints,2);
      data_num_tmp(:,1)=(1:nHorizontalPoints)*channelParameters.scaleX;
      data_num_tmp(:,2)=(255-pos)*channelParameters.scaleY;
      data_num=data_num_tmp(idxnonzero,1:2);
showScopeImg=0;
if (showScopeImg==1)
      figure(201)
      clf
      image(imgdata)
      figure(202)
      clf
      image(chdata)
      figure(203)
      clf
      image(croppedchdata)
      figure(205)
      clf
      plot(data_num(:,1),data_num(:,2))
end % showScopeImg
      else
        data_num=[]
      end % imgdata not empty
end %file is empty 
else
    warning_sp(['Channel ' num2str(channelLoop) ' does not exist in ' channelFileNameBase ])
    return
end


      if (~(isempty(data_num))&&(size(data_num,1)>100))

if (plotShot>0)
    figure(100*plotShot+10*channelLoop+1)
    clf;
    figure(100*plotShot+10*channelLoop+2)
    clf;
    
end

for iPulseMode=1:2
    if (iPulseMode==1)
        sigStart=channelParameters.LPM.sigStart;
        sigEnd=channelParameters.LPM.sigEnd;
        riseTime=channelParameters.LPM.riseTime;
    elseif (iPulseMode==2)
        sigStart=channelParameters.SPM.sigStart;
        sigEnd=channelParameters.SPM.sigEnd;
        riseTime=channelParameters.SPM.riseTime;
    else
        error_sp('Wrong pulse mode');
    end
    
    
    sigDuration=sigEnd-sigStart;
    
    bgBfEnd=sigStart-riseTime;
    bgBfStart=bgBfEnd-sigDuration;
    
    bgAfStart=sigEnd+riseTime;
    bgAfEnd=bgAfStart+sigDuration;
    
    if (bgBfStart<data_num(1,1))
        warning_sp('The analysis window starts before the recorded event');
        bgBfStart=data_num(1,1);
    end
    
    if (bgAfEnd>data_num(end,1))
        warning_sp('The analysis window ends after the recorded event');
        warning_sp([ 'Analysis window start: ' num2str(bgAfStart) ' / ' 'Analysis window end: ' num2str(bgAfEnd) ' / ' 'Data start: ' num2str(data_num(1,1)) ' / ' 'Data end: ' num2str(data_num(end,1)) ]);
        bgAfEnd=data_num(end,1);
    end
    
    %%% signal and background calculation
    
    sigstartidx=find(data_num(:,1)>sigStart, 1 );
    sigstopidx=find(data_num(:,1)>sigEnd, 1 );
    
    bgBfStartIdx=find(data_num(:,1)>bgBfStart, 1 );
    bgAfStartIdx=find(data_num(:,1)>bgAfStart, 1 );
    
    bgBfEndIdx=find(data_num(:,1)>bgBfEnd, 1 );
    bgAfEndIdx=find(data_num(:,1)>bgAfEnd, 1 );
    
    %%% signal
    signalMean=sum(data_num(sigstartidx:sigstopidx,2))/(sigstopidx-sigstartidx+1);
    signalRMS=rms(data_num(sigstartidx:sigstopidx,2)-signalMean);
    signalNegPeakRaw=min(data_num(sigstartidx:sigstopidx,2));
    
    bgBfMean=sum(data_num(bgBfStartIdx:bgBfEndIdx,2))/(bgBfStartIdx-bgBfEndIdx+1);
    bgBfRMS=rms(data_num(bgBfStartIdx:bgBfEndIdx,2)-bgBfMean);
    bgAfMean=sum(data_num(bgAfStartIdx:bgAfEndIdx,2))/(bgAfStartIdx-bgAfEndIdx+1);
    bgAfRMS=rms(data_num(bgAfStartIdx:bgAfEndIdx,2)-bgAfMean);
    
    allMean=[ bgBfMean signalMean bgAfMean ];
    allRMS=[ bgBfRMS signalRMS bgAfRMS ];
    
    signalVal=signalMean - (bgBfMean/2) - (bgAfMean/2) ;
    signalNegPeak=signalNegPeakRaw - (bgBfMean/2) - (bgAfMean/2) ;
    
    if (iPulseMode==1)
        channelInfo.LPM.allMean=allMean;
        channelInfo.LPM.allRMS=allRMS;
        channelInfo.LPM.signalVal=signalVal;
        channelInfo.LPM.signalNegPeak=signalNegPeak;
    elseif (iPulseMode==2)
        channelInfo.SPM.allMean=allMean;
        channelInfo.SPM.allRMS=allRMS;
        channelInfo.SPM.signalVal=signalVal;
        channelInfo.SPM.signalNegPeak=signalNegPeak;
    end
    
    if (plotShot>0)
        figure(100*plotShot+10*channelLoop+1)
        subplot(3,1,1)
        hold on
        plot(data_num(:,1), data_num(:,2), '-');
        xlabel('time[seconds]');
        ylabel('voltage[V]');
        
        title(imgTitle)
        
        linerange=[min(data_num(:,2))*1.1 max(data_num(:,2))*1.1 ];
        
       if (iPulseMode==1)
        colstart='r';
        colend='m';
        colbg='k';
    elseif (iPulseMode==2)
        colstart='g';
        colend='g';
        colbg='c';
    end
     
        
        line([ sigStart sigStart ],linerange,'LineWidth',1,'Color',colstart);
        line([ sigEnd sigEnd ],linerange,'LineWidth',1,'Color',colend);
        hold off
        subplot(3,1,1+iPulseMode)
        hold on
        plot(data_num(:,1), data_num(:,2), '-');
        marginTime=(bgAfEnd-bgBfStart)*0.1;
        %    xlim( [ bgBfStart bgAfEnd ] )
        %    bgBfStart-marginTime
        %    bgAfEnd+marginTime
        xlim( [ bgBfStart-marginTime bgAfEnd+marginTime ] )
        
        line([ bgAfStart bgAfStart ],linerange,'LineWidth',1,'Color',colbg);
        line([ bgAfEnd bgAfEnd ],linerange,'LineWidth',1,'Color',colbg);
        
        line([ bgBfStart bgBfStart ],linerange,'LineWidth',1,'Color',colbg);
        line([ bgBfEnd bgBfEnd ],linerange,'LineWidth',1,'Color',colbg);
        
        line([ sigStart sigStart ],linerange,'LineWidth',1,'Color',colstart);
        line([ sigEnd sigEnd ],linerange,'LineWidth',1,'Color',colend);
        
        
        xlabel('time[seconds]');
        ylabel('voltage[V]');
        
        print( '-dpng', [ imgName '.png' ]);
        
        
        figure(100*plotShot+10*channelLoop+2)
        hold on
        errorbar(allMean,allRMS,colstart)
        plot(2,signalNegPeakRaw, [ 'o' colend ] )
        title(imgTitle)
        hold off
        
        print( '-dpng', [ imgName '_synopsis' '.png' ]);
        
    end %if plot
end %for iPulseMOde
    else
      warning_sp(['Channel ' num2str(channelLoop) ' has a short/empty content in ' channelFileNameBase ])
    end %if data_num is not empty
    
    
end % function
