function analyse_shot(dateStr,hourStr,plotShot)

%%%%%
% Analyses one shot from SPESO
% and create a .SPESO_shot file
% with all the shot info.
%
% Arguments:
% dateStr: date of the shot
% hourStr: hour of the shot
% plotShot: will plot in figure plotShot*100+n
%
%%%%%

global basedir;
global plots_basedir;

define_dirs_analysis();
cosmetics;

theParameters=get_parameters(dateStr,hourStr);

fnamedir=[ dateStr '_scope' '/' ];
fnamebase=[ 'scope_' dateStr '_' hourStr ];

plots_dir=[ plots_basedir dateStr '/' hourStr(1:2) '/' ];
if (~exist(plots_dir,'dir'))
    mkdir(plots_dir);
end

shotInfo=[];

for channelLoop=1:4
    shotInfo.ch(channelLoop).on=theParameters.ch(channelLoop).on;
    if (theParameters.ch(channelLoop).on==1)
        shotInfo.ch(channelLoop).values=analyse_channel(fnamedir,fnamebase,channelLoop,theParameters.ch(channelLoop),plotShot,plots_dir);
    end %channel on
end %for each channel

save([basedir fnamedir fnamebase '.shotInfo' ],'shotInfo');

html_shot(dateStr,hourStr,shotInfo);

end % analyse_shot
