function [myParameters] = get_parameters(dateStr,hourStr)
%%% returns scope parameters as function of date
  dateNum=str2double(dateStr);
  hourNum=str2double(hourStr);
if (dateNum>=20160905)
  error_sp([ 'NO parameters defined on ' dateStr ]);

elseif ((dateNum==20150904)&&(hourNum>200000)||(dateNum>=20150905))
%ref SPM analyse_shot('20150905','000437',1) 
% ref LPM  analyse_shot('20150905','015258',1)
  myParameters.ch(1).on=1;
  
  myParameters.ch(1).SPM.sigStart=-0.9847e-5;
  myParameters.ch(1).SPM.sigEnd=-0.984e-5;
  myParameters.ch(1).SPM.riseTime=0.5e-7;

  myParameters.ch(1).LPM.sigStart=-9.9e-6;
  myParameters.ch(1).LPM.sigEnd=-9.64e-6;
  myParameters.ch(1).LPM.riseTime=1e-7;

  myParameters.ch(2).on=1;
  
  myParameters.ch(2).SPM.sigStart=-0.9847e-5;
  myParameters.ch(2).SPM.sigEnd=-0.984e-5;
  myParameters.ch(2).SPM.riseTime=0.5e-7;
  
  myParameters.ch(2).LPM.sigStart=-9.9e-6;
  myParameters.ch(2).LPM.sigEnd=-9.64e-6;
  myParameters.ch(2).LPM.riseTime=1e-7;

  myParameters.ch(3).on=0;
  myParameters.ch(4).on=0;

elseif (dateNum>=20150801)
  myParameters.ch(1).on=0;
  myParameters.ch(2)=myParameters.ch(1);
  myParameters.ch(3)=myParameters.ch(1);
  myParameters.ch(4)=myParameters.ch(1);

elseif ((dateNum>=20150606)||((dateNum==20150605)&&(hourNum>174000)))
% Ref SPM: '20150605','192941'
% Ref LPM: '20150605','193111'

  myParameters.ch(1).on=0;

  myParameters.ch(2).on=1;
  myParameters.ch(2).scaleX=50e-9*10/1000; %50ns timebase, 10 squares, 1000 points
  myParameters.ch(2).scaleY=10e-3*10/600; %10mV, 10 squares, 600 points
  
  myParameters.ch(2).LPM.sigStart=2.1e-7;
  myParameters.ch(2).LPM.sigEnd=2.6e-7;
  myParameters.ch(2).LPM.riseTime=1.5e-7;
  
  myParameters.ch(2).SPM.sigStart=1.4e-7;
  myParameters.ch(2).SPM.sigEnd=1.48e-7;
  myParameters.ch(2).SPM.riseTime=3e-8;

  myParameters.ch(3)=myParameters.ch(1);
  myParameters.ch(4)=myParameters.ch(1);

elseif ((dateNum==20150605)&&(hourNum>160000))
  myParameters.ch(1).on=0;
  myParameters.ch(2)=myParameters.ch(1);
  myParameters.ch(3)=myParameters.ch(1);
  myParameters.ch(4)=myParameters.ch(1);

elseif (dateNum>=20150601)
% Ref: 4/6/2015 000755
  myParameters.ch(1).on=0;

  myParameters.ch(2).on=1;
  myParameters.ch(2).scaleX=100e-9*10/1000; % xxns timebase, 10 squares, 1000 points
  myParameters.ch(2).scaleY=5e-3*10/600; %xxmV, 10 squares, 600 points
  
  myParameters.ch(2).LPM.sigStart=2.8e-7;
  myParameters.ch(2).LPM.sigEnd=3.30e-7;
  myParameters.ch(2).LPM.riseTime=1e-8;
  
  myParameters.ch(2).SPM.sigStart=3.8e-7;
  myParameters.ch(2).SPM.sigEnd=3.9e-7;
  myParameters.ch(2).SPM.riseTime=1e-8;

  myParameters.ch(3)=myParameters.ch(1);
  myParameters.ch(4)=myParameters.ch(1);

elseif (dateNum>=20150422)
  myParameters.ch(1).on=0;
  myParameters.ch(2)=myParameters.ch(1);
  myParameters.ch(3)=myParameters.ch(1);
  myParameters.ch(4)=myParameters.ch(1);
elseif ((dateNum>=20150331)||((dateNum==20150330)&&(hourNum>202500)))
  myParameters.ch(1).on=0;

  myParameters.ch(2).on=1;
  
  myParameters.ch(2).SPM.sigStart=-0.98e-5;
  myParameters.ch(2).SPM.sigEnd=-0.97e-5;
  myParameters.ch(2).SPM.riseTime=5e-7;
  
  myParameters.ch(2).LPM.sigStart=-0.99e-5;
  myParameters.ch(2).LPM.sigEnd=-0.97e-5;
  myParameters.ch(2).LPM.riseTime=5e-7;

  myParameters.ch(3)=myParameters.ch(1);
  myParameters.ch(4)=myParameters.ch(1);

elseif ((dateNum==20150330)&&(hourNum>192500))
  myParameters.ch(1).on=0;
  myParameters.ch(2)=myParameters.ch(1);
  myParameters.ch(3)=myParameters.ch(1);
  myParameters.ch(4)=myParameters.ch(1);
    
elseif (dateNum>=20150301)
  myParameters.ch(1).on=0;

  myParameters.ch(2).on=1;
  myParameters.ch(2).LPM.sigStart=1.75e-7;
  myParameters.ch(2).LPM.sigEnd=4.e-7;
  myParameters.ch(2).LPM.riseTime=2e-7;
  
  myParameters.ch(2).SPM.sigStart=2.08e-7;
  myParameters.ch(2).SPM.sigEnd=2.15e-7;
  myParameters.ch(2).SPM.riseTime=1e-7;

  myParameters.ch(3)=myParameters.ch(1);
  myParameters.ch(4)=myParameters.ch(1);

 else
   warning('No parameters defined for that date using defaults');
   error('NO default defined');
end %if
end % get_parameters

