function load_analysis_data(varargin)

global basedir;
global allData;
global dayData;


fprintf('Number of arguments: %d\n',nargin)

if (nargin>0)
lsmask=varargin{1}
else
lsmask='2015????_scope/*.dayFullInfo'
end 

lsmask


  loadFullInfo=1;
  if (strfind(lsmask,'dayFullInfo'))
  loadFullInfo=1;
  elseif (strfind(lsmask,'dayInfo'))
  loadFullInfo=0;
  else
    warning_sp([' lsmask ' lsmask ' does not clarify the type of info loaded...'] )
  loadFullInfo=1;
  end

define_dirs_analysis();
cosmetics;
disp('Loading data...')
tic
%%% shotInfo
lsdir=[ basedir lsmask ];
lscmd=[ 'ls  -1 --color=never  ' lsdir ];
[~,filelist]=system(lscmd);
filelist=strrep(filelist,basedir,'');
%filelist
newLines=strfind(filelist,char(10)) ;
newLines=[ 0 newLines ];
allData=[];
allData.hoursNum=[ ];
allData.dayNum=[ ];
allData.timestamp=[ ];
allData.shots=[ ];

allData.ch1signalValLPM=[  ];
allData.ch1signalNegPeakLPM=[  ];
allData.ch1signalValSPM=[  ];
allData.ch1signalNegPeakSPM=[  ];

allData.ch2signalValLPM=[  ];
allData.ch2signalNegPeakLPM=[  ];
allData.ch2signalValSPM=[  ];
allData.ch2signalNegPeakSPM=[  ];

allData.beamInfo=[ ] ;
allData.selected=[  ];
dayData=struct;
dayData.dateStr=[];
dayData.dateNum=[];
dayData.nDataEvents=[];
dayData.nShots=[];
dayData.nFullShots=[];
for iline=2:length(newLines)
	    line=filelist(newLines(iline-1)+1:newLines(iline)-1)
    thisdata=load([ basedir line ],'-mat');
if (loadFullInfo==1)
  thisdatainfo=thisdata.dayFullInfo;
nShots=thisdatainfo.nFullShots;
    else
      thisdatainfo=thisdata.dayInfo;
nShots=thisdatainfo.nShots;
end % load full info
      if (nShots>0)
    allData.hoursNum=[ allData.hoursNum thisdatainfo.hoursNum ];
    allData.dayNum=[ allData.dayNum thisdatainfo.dayNum ];
    allData.shots=[ allData.shots thisdatainfo.shots];
if (~(size(allData.dayNum)==size(allData.hoursNum)))

line
size(allData.dayNum)
size(allData.hoursNum)
  error_sp('Size mismatch ')
end % size pb


if (isfield(thisdatainfo,'ch1signalValLPM'))
    allData.ch1signalValSPM=[ allData.ch1signalValSPM thisdatainfo.ch1signalValSPM];
    allData.ch1signalNegPeakSPM=[ allData.ch1signalNegPeakSPM thisdatainfo.ch1signalNegPeakSPM];
    allData.ch1signalValLPM=[ allData.ch1signalValLPM thisdatainfo.ch1signalValLPM];
    allData.ch1signalNegPeakLPM=[ allData.ch1signalNegPeakLPM thisdatainfo.ch1signalNegPeakLPM];    
    else
      allData.ch1signalValSPM=[ allData.ch1signalValSPM zeros(1,length(thisdatainfo.shots)) ];
      allData.ch1signalNegPeakSPM=[ allData.ch1signalNegPeakSPM  zeros(1,length(thisdatainfo.shots)) ];
      allData.ch1signalValLPM=[ allData.ch1signalValLPM   zeros(1,length(thisdatainfo.shots)) ];
      allData.ch1signalNegPeakLPM=[ allData.ch1signalNegPeakLPM   zeros(1,length(thisdatainfo.shots)) ];     
end % if ch1 is there


if (isfield(thisdatainfo,'ch2signalValLPM'))
    allData.ch2signalValSPM=[ allData.ch2signalValSPM thisdatainfo.ch2signalValSPM];
    allData.ch2signalNegPeakSPM=[ allData.ch2signalNegPeakSPM thisdatainfo.ch2signalNegPeakSPM];
    allData.ch2signalValLPM=[ allData.ch2signalValLPM thisdatainfo.ch2signalValLPM];
    allData.ch2signalNegPeakLPM=[ allData.ch2signalNegPeakLPM thisdatainfo.ch2signalNegPeakLPM];    
    else
      allData.ch2signalValSPM=[ allData.ch2signalValSPM  zeros(1,length(thisdatainfo.shots))  ];
allData.ch2signalNegPeakSPM=[ allData.ch2signalNegPeakSPM  zeros(1,length(thisdatainfo.shots))  ];
allData.ch2signalValLPM=[ allData.ch2signalValLPM  zeros(1,length(thisdatainfo.shots))  ];
allData.ch2signalNegPeakLPM=[ allData.ch2signalNegPeakLPM  zeros(1,length(thisdatainfo.shots)) ];    
end % if ch2 is there




if (loadFullInfo==1)
    allData.beamInfo=[ allData.beamInfo ;  thisdatainfo.beamInfo(:,1:21)];
end % load full info
    allData.selected=[ allData.selected ones(1, length(thisdatainfo.shots)) ];
    end % nFullShots>0
    dayData.dateStr=[ dayData.dateStr ' ' thisdatainfo.date ] ; 
    dayData.dateNum=[ dayData.dateNum datenum(thisdatainfo.date,'yyyymmdd') ] ; 
    dayData.nDataEvents=[ dayData.nDataEvents thisdatainfo.nDataEvents ] ; 
    dayData.nShots=[ dayData.nShots thisdatainfo.nShots ] ; 
if (loadFullInfo==1)
    dayData.nFullShots=[ dayData.nFullShots thisdatainfo.nFullShots ] ; 
    else
    dayData.nFullShots=[ dayData.nFullShots 0 ] ; 
end % load full info
end % for each line


%%% Creates timestamps
yearsVec=floor(allData.dayNum/1e4);
monthsVec=mod(floor(allData.dayNum/100),100);
    dayVec=mod(allData.dayNum,100);
hoursVec=floor(allData.hoursNum/1e4);
  minVec=mod(floor(allData.hoursNum/100),100);
  secVec=mod(allData.hoursNum,100);

%size(allData.dayNum)
%size(allData.hoursNum)

%size(yearsVec)
%size(monthsVec)
%size(dayVec)
%size(hoursVec)
%size(minVec)
%size(secVec)

dateVec=[ yearsVec ; monthsVec ; dayVec ; hoursVec ; minVec ; secVec ]'; %'
allData.timestamp=  datenum(dateVec)'; %'


toc
disp([ num2str(length(allData.selected)) ' events loaded.'])
allData.selection=[];



%%% Check for missing dates
newdateStr='';
for idata=1:dayData.dateNum(end)-dayData.dateNum(1)+1
	    newdateNum(idata)=dayData.dateNum(1)+idata-1;
            irank=find(dayData.dateNum==newdateNum(idata),1,'first');
	    if (~(isempty(irank)))
	      newdateStr=[ newdateStr dayData.dateStr(((irank-1)*9)+1:irank*9) ];
              newnDataEvents(idata)=dayData.nDataEvents(irank);
              newnShots(idata)=dayData.nShots(irank);
              newnFullShots(idata)=dayData.nFullShots(irank);
	    else
	      newdateStr=[ newdateStr ' xxxx' datestr(newdateNum(idata),'mmdd') ];
              newnDataEvents(idata)=0;
              newnShots(idata)=0;
              newnFullShots(idata)=0;
	    end %if irank >0

end

dayData.dateNum=newdateNum;
dayData.dateStr=newdateStr;
dayData.nDataEvents=newnDataEvents;
dayData.nShots=newnShots;
dayData.nFullShots=newnFullShots;

end %function
