function read_mambo_file(filename)
%%% Les fichiers doivent d'abord tre dcomposs par ana_mambo.sh %'

if isdir('/sps_sera/smith-purcell/')
    basedir1='/sps_sera/smith-purcell/SPESO/data/';
    plots_basedir='/mnt/ftpe/data_speso/analysis/';
else
    basedir1='/sps/sera/delerue/smith-purcell/SPESO/data/';
    plots_basedir='/tmp_mnt/pub/ftp/pub/etalon/data_speso/analysis/';
end %which basedir

dateStrRef=filename(11:18);
basedir = [ basedir1  dateStrRef '_scope/'];

fid=fopen([basedir filename]);
txt=fread(fid);
fclose(fid);


txt=strtrim(char(txt)'); %'

	    charSpacer=9;
	    posSpace=min(strfind(txt,char(charSpacer)));
%if (length(posSpace)<5)
%  charSpacer=32;
%	    posSpace=min(strfind(txt,char(charSpacer)));
%end %if no char(9)
posEol=min(strfind(txt,char(10)));
iField=1;
while(posEol>posSpace)
  fields{iField}=strtrim(txt(1:posSpace));
    txt=strtrim(txt(posSpace+1:end));
    posSpace=min(strfind(txt,char(charSpacer)));
    posEol=min(strfind(txt,char(10)));
    iField=iField+1;
end

fields{iField}=strtrim(txt(1:posEol));
txt=strtrim(txt(posEol+1:end));

nFields=iField;

if (~((nFields==21)))
  error_sp([ 'The file ' filename ' does not have the correct number of files. ' num2str(nFields) ' fields found ']);
end %

%fields

%Now we process all lines
fieldsInit=zeros(nFields,1);
fieldsVals=zeros(nFields,1);
fieldsValsArray=zeros(25000,nFields);

hourStartIdx=1;

iRecord=1;
while(length(txt)>1000)
    posEol=min(strfind(txt,char(10)));
	    thisLine=[strtrim(txt(1:posEol)) char(charSpacer) ];

    for iField=1:nFields
        posSpace=min(strfind(thisLine,char(charSpacer)));
	    thisField=strtrim(thisLine(1:posSpace));
        if (iField==1)
            fieldsInit(iField)=1;
            fieldsVals(iField)=datenum(thisField);
        else
            if (strcmp(thisField,'*'))
                %    disp('is star');
            else
                fieldsInit(iField)=1;
                fieldsVals(iField)=str2num(thisField);
            end %if '*'
        end %if field != 1
        thisLine=[ strtrim(thisLine(posSpace+1:end)) char(charSpacer) ];
    end %for each fields
    txt=txt(posEol+1:end);
    
    fieldsValsArray(iRecord,:)=fieldsVals'; %'
        iRecord=iRecord+1;
    fieldsInit
    fieldsVals
%	    disp('eol')
%	    pause(3)
end % for each line

beamInfo=fieldsValsArray(1:(iRecord-1),:);

basename = [ basedir 'beam_info_' dateStrRef '.mat' ];
save(basename,'beamInfo');

read_filename=[basedir strrep(filename,'txt_beam_info','read_beam_info')];
fid=fopen(read_filename,'w');
fprintf(fid,'%s\n',datestr(now));
fclose(fid);


end %function
